#!/usr/bin/env python3

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Eric Gurrola
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




# import sqlite3, sql_mod, string # ImportError: No module named sql_mod
import sqlite3, string

con = sqlite3.connect('roi.db')
cur = con.cursor()

tables = {'file1':'file1','file2':'file2','igram1':'igram1','log':'log',
          'ambiguity':'ambiguity_table'}

for k, v in tables.items():
    print()
    print()
    print("table: ",v)
    print("================")
    print()
    a = cur.execute('select * from '+v)
    for x in a:
        print(x)

