#!/usr/bin/env python3

import sys
import isce
from isceobj.InsarProc.runCreateWbdMask import runCreateWbdMask

class INSAR:
    def __init__(self):
        self.applyWaterMask = True
        self.wbdImage = None

class SELF:
    def __init__(me, snwe):
        me.geocode_bbox = snwe
        me.insar = INSAR()

class INFO:
    def __init__(self, snwe):
        self.extremes = snwe
    def getExtremes(x):
        return self.extremes

if __name__=="__main__":
    if len(sys.argv) < 5:
        print("Usage: wbd.py s n w e")
        print("where s, n, w, e are latitude, longitude bounds in degrees")
        sys.exit(0)
    snwe = list(map(float,sys.argv[1:]))
    self = SELF(snwe)
    info = INFO(None)
    runCreateWbdMask(self,info)
