//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




#ifndef histogrammodule_h
#define histogrammodule_h 1

#include <Python.h>
#include <complex>
#include "DataAccessor.h"
#include "p2.h"

extern "C"
{
  PyObject *realHistogram_C(PyObject *self,PyObject *args);
//  PyObject *complexHistogram_C(PyObject *self,PyObject *args);
}

static PyMethodDef histogram_methods[] =
{
    {"realHistogram_Py",realHistogram_C,METH_VARARGS," "},
//    {"complexHistogram_Py",complexHistogram_C,METH_VARARGS," "},
    {NULL,NULL,0,NULL}
};

#endif
