//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef test1_h
#define test1_h

#include <Python.h>
#include <stdint.h>
#include "test1FortTrans.h"

extern "C"
{
        void test1_f(uint64_t *,uint64_t *, int *, int *, int *);
        PyObject * test1_C(PyObject *, PyObject *);

}

static char * moduleDoc = "module for test1.F";

static PyMethodDef test1_methods[] =
{
        {"test1_Py", test1_C, METH_VARARGS, " "},
        {NULL, NULL, 0, NULL}
};
#endif //test1_h
