c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2013, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Authors: Piyush Agram, Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocate_xyz(dim1,dim2)
            use getpegState
            implicit none
            integer dim1,dim2
            dim1_xyz = dim2
            dim2_xyz = dim1
            allocate(xyz(dim2,dim1)) 
        end

        subroutine deallocate_xyz()
            use getpegState
            deallocate(xyz) 
        end

        subroutine allocate_vxyz(dim1,dim2)
            use getpegState
            implicit none
            integer dim1,dim2
            dim1_vxyz = dim2
            dim2_vxyz = dim1
            allocate(vxyz(dim2,dim1)) 
        end

        subroutine deallocate_vxyz()
            use getpegState
            deallocate(vxyz) 
        end

