c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module orbit2schState
            integer*8 ptStdWriter
            double precision, allocatable, dimension(:,:) ::  xyz
            integer dim1_xyz, dim2_xyz
            double precision, allocatable, dimension(:,:) ::  vxyz
            integer dim1_vxyz, dim2_vxyz
            double precision GM
            double precision major
            double precision eccentricitySquared
            integer computePegInfoFlag
            double precision pegLatitude
            double precision pegLongitude
            double precision pegHeading
            double precision have
            double precision, allocatable, dimension(:,:) ::  sch
            integer dim1_sch, dim2_sch
            double precision, allocatable, dimension(:,:) ::  vsch
            integer dim1_vsch, dim2_vsch
            double precision, allocatable, dimension(:,:) ::  asch
            integer dim1_asch, dim2_asch
        end module 
