c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine getXYZPosition(array2dT,dim1)
            use sch2orbitState
            implicit none
            integer dim1,i,j
            double precision, dimension(3,dim1):: array2dT
            do i = 1, dim1
                do j = 1, 3
                    array2dT(j,i) = xyz(j,i)
                enddo
            enddo
        end

        subroutine getXYZVelocity(array2dT,dim1)
            use sch2orbitState
            implicit none
            integer dim1,i,j
            double precision, dimension(3,dim1):: array2dT
            do i = 1, dim1
                do j = 1, 3
                    array2dT(j,i) = vxyz(j,i)
                enddo
            enddo
        end

        subroutine getXYZGravitationalAcceleration(array2dT,dim1)
            use sch2orbitState
            implicit none
            integer dim1,i,j
            double precision, dimension(3,dim1):: array2dT
            do i = 1, dim1
                do j = 1, 3
                    array2dT(j,i) = axyz(j,i)
                enddo
            enddo
        end

