c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine setStdWriter(varInt)
            use setmocomppathState
            implicit none
            integer*8 varInt
            ptStdWriter = varInt
        end
        subroutine setFirstPosition(array2dT,dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2,i,j
            double precision, dimension(dim2,dim1):: array2dT
            do i = 1, dim2
                do j = 1, dim1
                    xyz1(i,j) = array2dT(i,j)
                enddo
            enddo
        end

        subroutine setFirstVelocity(array2dT,dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2,i,j
            double precision, dimension(dim2,dim1):: array2dT
            do i = 1, dim2
                do j = 1, dim1
                    vxyz1(i,j) = array2dT(i,j)
                enddo
            enddo
        end

        subroutine setSecondPosition(array2dT,dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2,i,j
            double precision, dimension(dim2,dim1):: array2dT
            do i = 1, dim2
                do j = 1, dim1
                    xyz2(i,j) = array2dT(i,j)
                enddo
            enddo
        end

        subroutine setSecondVelocity(array2dT,dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2,i,j
            double precision, dimension(dim2,dim1):: array2dT
            do i = 1, dim2
                do j = 1, dim1
                    vxyz2(i,j) = array2dT(i,j)
                enddo
            enddo
        end

        subroutine setPlanetGM(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            GM = varInt
        end

        subroutine setEllipsoidMajorSemiAxis(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            major = varInt
        end

        subroutine setEllipsoidEccentricitySquared(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            eccentricitySquared = varInt
        end

