!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2011, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine setLength(varInt)
            use dismphfileState
            implicit none
            integer varInt
            len = varInt
        end

        subroutine setFirstLine(varInt)
            use dismphfileState
            implicit none
            integer varInt
            ifirst = varInt
        end

        subroutine setNumberLines(varInt)
            use dismphfileState
            implicit none
            integer varInt
            lines = varInt
        end

        subroutine setFlipFlag(varInt)
            use dismphfileState
            implicit none
            integer varInt
            iflip = varInt
        end

        subroutine setScale(varInt)
            use dismphfileState
            implicit none
            real*4 varInt
            scale = varInt
        end

        subroutine setExponent(varInt)
            use dismphfileState
            implicit none
            real*4 varInt
            expo = varInt
        end

