c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocate_sch(dim1,dim2)
            use formslcStateSoi
            implicit none
            integer dim1,dim2
            dim1_sch = dim2
            dim2_sch = dim1
            allocate(sch(dim2,dim1)) 
        end

        subroutine deallocate_sch()
            use formslcStateSoi
            deallocate(sch) 
        end

        subroutine allocate_vsch(dim1,dim2)
            use formslcStateSoi
            implicit none
            integer dim1,dim2
            dim1_vsch = dim2
            dim2_vsch = dim1
            allocate(vsch(dim2,dim1))
        end

        subroutine deallocate_vsch()
            use formslcStateSoi
            deallocate(vsch)
        end

        subroutine allocate_time(dim1)
            use formslcStateSoi
            implicit none
            integer dim1
            dim1_time = dim1
            allocate(time(dim1)) 
        end

        subroutine deallocate_time()
            use formslcStateSoi
            deallocate(time) 
        end

        subroutine allocate_dopplerCoefficients(dim1)
            use formslcStateSoi
            implicit none
            integer dim1
            dim1_dopplerCoefficients = dim1
            allocate(dopplerCoefficients(dim1)) 
        end

        subroutine deallocate_dopplerCoefficients()
            use formslcStateSoi
            deallocate(dopplerCoefficients) 
        end

