//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef readOrbitPulseERSmoduleFortTrans_h
#define readOrbitPulseERSmoduleFortTrans_h

        #if defined(NEEDS_F77_TRANSLATION)

                #if defined(F77EXTERNS_LOWERCASE_TRAILINGBAR)
                        #define getStartingTime_f getstartingtime_
                        #define readOrbitPulseERS_f readorbitpulseers_
                        #define setDeltaClock_f setdeltaclock_
                        #define setICUoffset_f seticuoffset_
                        #define setNumberLines_f setnumberlines_
                        #define setPRF_f setprf_
                        #define setSatelliteUTC_f setsatelliteutc_
                        #define setWidth_f setwidth_
                        #define setEncodedBinaryTimeCode_f setencodedbinarytimecode_
                #else
                        #error Unknown translation for FORTRAN external symbols
                #endif

        #endif

#endif //readOrbitPulseERSmoduleFortTrans_h
