!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine getLocationAcross(array1d,dim1)
            use estimateoffsetsState
            implicit none
            integer dim1,i
            integer, dimension(dim1):: array1d
            do i = 1, dim1
                array1d(i) = locationAcross(i)
            enddo
        end

        subroutine getLocationAcrossOffset(array1d,dim1)
            use estimateoffsetsState
            implicit none
            integer dim1,i
            real*4, dimension(dim1):: array1d
            do i = 1, dim1
                array1d(i) = locationAcrossOffset(i)
            enddo
        end

        subroutine getLocationDown(array1d,dim1)
            use estimateoffsetsState
            implicit none
            integer dim1,i
            integer, dimension(dim1):: array1d
            do i = 1, dim1
                array1d(i) = locationDown(i)
            enddo
        end

        subroutine getLocationDownOffset(array1d,dim1)
            use estimateoffsetsState
            implicit none
            integer dim1,i
            real*4, dimension(dim1):: array1d
            do i = 1, dim1
                array1d(i) = locationDownOffset(i)
            enddo
        end

        subroutine getSNR(array1d,dim1)
            use estimateoffsetsState
            implicit none
            integer dim1,i
            real*4, dimension(dim1):: array1d
            do i = 1, dim1
                array1d(i) = snrRet(i)
            enddo
        end

