#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Eric Gurrola
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~




__all__ = ('createInitFromDictionary',
           'createInitFromXmlFile',
           'createTraitSeq')

def createInitFromXmlFile(file=None):
    from InitFromXmlFile import InitFromXmlFile
    return InitFromXmlFile(file)

def createInitFromDictionary(dict=None):
    from InitFromDictionary import InitFromDictionary
    return InitFromDictionary(dict)

def createTraitSeq(name=''):
    from .TraitSeq import TraitSeq
    return TraitSeq(name)
