#!/usr/bin/env python3

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the California Institute of
# Technology.  This software is subject to U.S. export control laws and regulations
# and has been classified as EAR99.  By accepting this software, the user agrees to
# comply with all applicable U.S. export laws and regulations.  User has the
# responsibility to obtain export licenses, or other export authority as may be
# required before exporting such information to foreign countries or providing
# access to foreign persons.
#
# Author: Giangi Sacco
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#!/usr/bin/env python3
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# Author: Giangi Sacco
# Copyright 2012, 2015 by the California Institute of Technology.
# ALL RIGHTS RESERVED.
# United States Government Sponsorship acknowledged. Any commercial use must be
# negotiated with the Office of Technology Transfer at the
# California Institute of Technology.
#
import gzip
import os
def is_gzipfile(filename):
    fp = gzip.GzipFile(filename)
    #since it fails for non gz file just try and catch
    try:
        s = fp.read()
        ret = True
    except OSError:
        ret = False
    return ret
class GZipFile:
    def __init__(self,filename):
        self._filename = filename
    
    def extractall(self,path):
        try:
            os.mkdir(path)
        except Exception:
            pass
        fp = gzip.GzipFile(self._filename)
        s = fp.read()
        fp.close()
        #remove last extension
        fp = open(os.path.join(path,'.'.join(os.path.basename(self._filename).split('.')[:-1])),'wb')
        fp.write(s)
        fp.close()
        