//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



#include <iostream>
#include "DataAccessor.h"

using namespace std;
void DataAccessor::createFile(int numLines)
{
    Accessor->createFile(numLines);
}
void DataAccessor::initSequentialAccessor(int line)
{
    LineCounter = line;
}
void DataAccessor::alloc(int numLines)
{
    Accessor->alloc(numLines);
}
void DataAccessor::rewindAccessor()
{
    LineCounter = 0;
    Accessor->rewindAccessor();
}

