//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#include <Python.h>
#include "test1.h"
#include <cmath>
#include <sstream>
#include <iostream>
#include <string>
#include <stdint.h>
#include <vector>
using namespace std;
extern "C" void inittest1()
{
 	Py_InitModule3("test1", test1_methods, moduleDoc);
}
PyObject * test1_C(PyObject* self, PyObject* args) 
{
	uint64_t var0;
	uint64_t var1;
    int var2;
    int var3;
    int var4;
	if(!PyArg_ParseTuple(args, "KKiii",&var0,&var1,&var2,&var3,&var4)) 
	{
		return NULL;  
	}  
	test1_f(&var0,&var1,&var2,&var3,&var4);
	return Py_BuildValue("i", 0);
}

