c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocateArrays(dim1)
            use sch2orbitState
            implicit none
            integer dim1
            len_vec = dim1
            allocate(xyz(3,len_vec))
            allocate(vxyz(3,len_vec))
            allocate(axyz(3,len_vec))
            allocate(sch(3,len_vec))
            allocate(vsch(3,len_vec))
        end

        subroutine deallocateArrays()
            use sch2orbitState
            deallocate(xyz)
            deallocate(vxyz)
            deallocate(axyz)
            deallocate(sch)
            deallocate(vsch)
        end

