c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocate_xyz1(dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2
            dim1_xyz1 = dim2
            dim2_xyz1 = dim1
            allocate(xyz1(dim2,dim1)) 
        end

        subroutine deallocate_xyz1()
            use setmocomppathState
            deallocate(xyz1) 
        end

        subroutine allocate_vxyz1(dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2
            dim1_vxyz1 = dim2
            dim2_vxyz1 = dim1
            allocate(vxyz1(dim2,dim1)) 
        end

        subroutine deallocate_vxyz1()
            use setmocomppathState
            deallocate(vxyz1) 
        end

        subroutine allocate_xyz2(dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2
            dim1_xyz2 = dim2
            dim2_xyz2 = dim1
            allocate(xyz2(dim2,dim1)) 
        end

        subroutine deallocate_xyz2()
            use setmocomppathState
            deallocate(xyz2) 
        end

        subroutine allocate_vxyz2(dim1,dim2)
            use setmocomppathState
            implicit none
            integer dim1,dim2
            dim1_vxyz2 = dim2
            dim2_vxyz2 = dim1
            allocate(vxyz2(dim2,dim1)) 
        end

        subroutine deallocate_vxyz2()
            use setmocomppathState
            deallocate(vxyz2) 
        end

