c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
c Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
c United States Government Sponsorship acknowledged. Any commercial use must be
c negotiated with the Office of Technology Transfer at the California Institute of
c Technology.  This software is subject to U.S. export control laws and regulations
c and has been classified as EAR99.  By accepting this software, the user agrees to
c comply with all applicable U.S. export laws and regulations.  User has the
c responsibility to obtain export licenses, or other export authority as may be
c required before exporting such information to foreign countries or providing
c access to foreign persons.
c
c Author: Giangi Sacco
c~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine getPegLatitude(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = pegLatitude
        end

        subroutine getPegLongitude(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = pegLongitude
        end

        subroutine getPegHeading(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = pegHeading
        end

        subroutine getPegRadiusOfCurvature(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = pegRadiusOfCurvature
        end

        subroutine getFirstAverageHeight(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = have1
        end

        subroutine getSecondAverageHeight(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = have2
        end

        subroutine getFirstProcVelocity(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = vel1
        end

        subroutine getSecondProcVelocity(varInt)
            use setmocomppathState
            implicit none
            double precision varInt
            varInt = vel2
        end

