!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocate_dopplerCentroidCoefficients(dim1)
            use mocompTSXState
            implicit none
            integer dim1
            dim1_dopplerCentroidCoefficients = dim1
            allocate(dopplerCentroidCoefficients(dim1)) 
        end

        subroutine deallocate_dopplerCentroidCoefficients()
            use mocompTSXState
            deallocate(dopplerCentroidCoefficients) 
        end

        subroutine allocate_time(dim1)
            use mocompTSXState
            implicit none
            integer dim1
            dim1_time = dim1
            allocate(time(dim1)) 
        end

        subroutine deallocate_time()
            use mocompTSXState
            deallocate(time) 
        end

        subroutine allocate_sch(dim1,dim2)
            use mocompTSXState
            implicit none
            integer dim1,dim2
            dim1_sch = dim2
            dim2_sch = dim1
            allocate(sch(dim2,dim1)) 
        end

        subroutine deallocate_sch()
            use mocompTSXState
            deallocate(sch) 
        end


