//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef resamp_slcmoduleFortTrans_h
#define resamp_slcmoduleFortTrans_h

        #if defined(NEEDS_F77_TRANSLATION)

                #if defined(F77EXTERNS_LOWERCASE_TRAILINGBAR)
                        #define resamp_slc_f resamp_slc_
                        #define setInputLines_f setinputlines_
                        #define setOutputLines_f setoutputlines_
                        #define setInputWidth_f setinputwidth_
                        #define setOutputWidth_f setoutputwidth_
                        #define setRadarWavelength_f setradarwavelength_
                        #define setReferenceWavelength_f setreferencewavelength_
                        #define setSlantRangePixelSpacing_f setslantrangepixelspacing_
                        #define setReferenceSlantRangePixelSpacing_f setreferenceslantrangepixelspacing_
                        #define setAzimuthCarrier_f setazimuthcarrier_
                        #define setRangeCarrier_f setrangecarrier_
                        #define setAzimuthOffsetsPoly_f setazimuthoffsetspoly_
                        #define setRangeOffsetsPoly_f setrangeoffsetspoly_
                        #define setDopplerPoly_f setdopplerpoly_
                        #define setIsComplex_f setiscomplex_
                        #define setMethod_f setmethod_
                        #define setFlatten_f setflatten_
                        #define setStartingRange_f setstartingrange_
                        #define setReferenceStartingRange_f setreferencestartingrange_
                #else
                        #error Unknown translation for FORTRAN external symbols
                #endif

        #endif

#endif //resamp_slcmoduleFortTrans_h
