!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2010, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        module resamp_slcState
            use poly2dModule
            integer outwidth
            integer outlength
            integer inwidth
            integer inlength
            integer iscomplex
            integer method
            integer flatten
            real*8 WVL
            real*8 SLR
            real*8 R0

            real*8 REFWVL
            real*8 REFR0
            real*8 REFSLR

            type(poly2dType) :: rgCarrier
            type(poly2dType) :: azCarrier
            type(poly2dType) :: rgOffsetsPoly
            type(poly2dType) :: azOffsetsPoly
            type(poly2dType) :: dopplerPoly
        end module 
