!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
! United States Government Sponsorship acknowledged. Any commercial use must be
! negotiated with the Office of Technology Transfer at the California Institute of
! Technology.  This software is subject to U.S. export control laws and regulations
! and has been classified as EAR99.  By accepting this software, the user agrees to
! comply with all applicable U.S. export laws and regulations.  User has the
! responsibility to obtain export licenses, or other export authority as may be
! required before exporting such information to foreign countries or providing
! access to foreign persons.
!
! Author: Giangi Sacco
!~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





        subroutine allocate_s_mocompArray(dim1)
            use topoState
            implicit none
            integer dim1
            dim1_s_mocompArray = dim1
            allocate(s_mocomp(dim1)) 
        end

        subroutine deallocate_s_mocompArray()
            use topoState
            deallocate(s_mocomp) 
        end

        subroutine allocate_squintshift(dim1)
            use topoState
            implicit none
            integer dim1
            dim1_squintshift = dim1
            allocate(squintshift(dim1)) 
        end

        subroutine deallocate_squintshift()
            use topoState
            deallocate(squintshift) 
        end

