//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef topozeromoduleFortTrans_h
#define topozeromoduleFortTrans_h

        #if defined(NEEDS_F77_TRANSLATION)

                #if defined(F77EXTERNS_LOWERCASE_TRAILINGBAR)
                        #define getMaximumLatitude_f getmaximumlatitude_
                        #define getMaximumLongitude_f getmaximumlongitude_
                        #define getMinimumLatitude_f getminimumlatitude_
                        #define getMinimumLongitude_f getminimumlongitude_
                        #define setDeltaLatitude_f setdeltalatitude_
                        #define setDeltaLongitude_f setdeltalongitude_
                        #define setDemLength_f setdemlength_
                        #define setDemWidth_f setdemwidth_
                        #define setEllipsoidEccentricitySquared_f setellipsoideccentricitysquared_
                        #define setEllipsoidMajorSemiAxis_f setellipsoidmajorsemiaxis_
                        #define setFirstLatitude_f setfirstlatitude_
                        #define setFirstLongitude_f setfirstlongitude_
                        #define setHeightPointer_f setheightpointer_
                        #define setLatitudePointer_f setlatitudepointer_
                        #define setLength_f setlength_
                        #define setLongitudePointer_f setlongitudepointer_
                        #define setLosPointer_f setlospointer_
                        #define setIncPointer_f setincpointer_
                        #define setMaskPointer_f setmaskpointer_
                        #define setNumberAzimuthLooks_f setnumberazimuthlooks_
                        #define setNumberIterations_f setnumberiterations_
                        #define setNumberRangeLooks_f setnumberrangelooks_
                        #define setPRF_f setprf_
                        #define setSensingStart_f setsensingstart_
                        #define setPegHeading_f setpegheading_
                        #define setRadarWavelength_f setradarwavelength_
                        #define setRangeFirstSample_f setrangefirstsample_
                        #define setRangePixelSpacing_f setrangepixelspacing_
                        #define setOrbit_f setorbit_
                        #define setWidth_f setwidth_
                        #define setLookSide_f setlookside_
                        #define topo_f topo_
                        #define setSecondaryIterations_f setsecondaryiterations_
                        #define setThreshold_f setthreshold_
                        #define setMethod_f setmethod_
                        #define setOrbitMethod_f setorbitmethod_
                #else
                        #error Unknown translation for FORTRAN external symbols
                #endif

        #endif

#endif //topozeromoduleFortTrans_h
