//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Copyright 2012, by the California Institute of Technology. ALL RIGHTS RESERVED.
// United States Government Sponsorship acknowledged. Any commercial use must be
// negotiated with the Office of Technology Transfer at the California Institute of
// Technology.  This software is subject to U.S. export control laws and regulations
// and has been classified as EAR99.  By accepting this software, the user agrees to
// comply with all applicable U.S. export laws and regulations.  User has the
// responsibility to obtain export licenses, or other export authority as may be
// required before exporting such information to foreign countries or providing
// access to foreign persons.
//
// Author: Giangi Sacco
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~





#ifndef correct_geoid_i2_srtmmoduleFortTrans_h
#define correct_geoid_i2_srtmmoduleFortTrans_h

        #if defined(NEEDS_F77_TRANSLATION)

                #if defined(F77EXTERNS_LOWERCASE_TRAILINGBAR)
                        #define correct_geoid_i2_srtm_f correct_geoid_i2_srtm_
                        #define setConversionType_f setconversiontype_
                        #define setDeltaLatitude_f setdeltalatitude_
                        #define setDeltaLongitude_f setdeltalongitude_
                        #define setGeoidFilename_f setgeoidfilename_
                        #define setNumberLines_f setnumberlines_
                        #define setStartLatitude_f setstartlatitude_
                        #define setStartLongitude_f setstartlongitude_
                        #define setWidth_f setwidth_
                        #define setStdWriter_f setstdwriter_
                        #define setNullIsWater_f setnulliswater_

                #else
                        #error Unknown translation for FORTRAN external symbols
                #endif

        #endif

#endif //correct_geoid_i2_srtmmoduleFortTrans_h
